# Consumer_Invitation_List

A sponsor/partner may wish to obtain a list of invitations associated with their account. This endpoint will
provide a list of all consumer invitations for the merchant user.
**Requirements:**
- Authentication information, username, and password are required for this endpoint.
- Sponsor ID will be determined by the authentication information used.
- request_user_id: There must be a user ID in the Momnt system for this GET request to succeed. That user must be
active and should have been established in previous interactions, such as pre-onboarding or create_user.
- Please Note: If the request_user_id used has a Salesrep role, the user will only be able to view invitations where
they were the user that sent the initial application invitation. If the user is an Admin or Salesmanager role, they
will see all invitations sent by all users.
request_user_id: There must be a user ID in the Momnt system for this GET request to succeed. That user must be
active and should have been established in previous interactions, such as pre-onboarding or create_user.
Please Note: If the request_user_id used has a Salesrep role, the user will only be able to view invitations where
they were the user that sent the initial application invitation. If the user is an Admin or Salesmanager role, they
will see all invitations sent by all users.

Endpoint: GET /api/v1/sponsor/merchants/{request_user_id}/invitation/
Version: 1.0.0 (sponsor_consumer_v1)
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `request_user_id` (string, required)

## Query parameters:

  - `ordering` (string)
    Which field to use when ordering the results.

  - `page` (integer)
    A page number within the paginated result set.

  - `page_size` (integer)
    Number of results to return per page.

  - `search` (string)
    A search term.

## Response 200 fields (application/json):

  - `count` (integer, required)
    Example: 123

  - `next` (string)
    Example: http://api.example.org/accounts/?page=4

  - `previous` (string)
    Example: http://api.example.org/accounts/?page=2

  - `results` (array, required)

  - `results.email` (string)

  - `results.phone` (string)

  - `results.invited_by_merchant_user` (string, required)

  - `results.activate_date` (string)
    keep empty for an immediate activation

  - `results.modified` (string, required)

  - `results.offer_code_name` (string, required)

  - `results.external_application_id` (string)

